Package org.eclipse.birt.chart.script.api.attribute

# Interface IText

public interface IText
Represents Text object in a Chart in the scripting environment

## Method Summary

Modifier and Type
Method
Description
`org.eclipse.birt.report.model.api.extension.IColor`
`getColor()`
Gets the Color of Text
`org.eclipse.birt.report.model.api.extension.IFont`
`getFont()`
Gets the Font of Text
`String`
`getValue()`
Gets the string value of Text
`void`
`setColor(org.eclipse.birt.report.model.api.extension.IColor color)`
Sets the Color of Text
`void`
`setFont(org.eclipse.birt.report.model.api.extension.IFont font)`
Sets the Font of Text
`void`
`setValue(String value)`
Sets the string value of Text

## Method Details

### getValue

String getValue()
Gets the string value of Text

Returns:
  string value

### setValue

void setValue(String value)
Sets the string value of Text

Parameters:
  `value` - string value

### getFont

org.eclipse.birt.report.model.api.extension.IFont getFont()
Gets the Font of Text

Returns:
  Font

### setFont

void setFont(org.eclipse.birt.report.model.api.extension.IFont font)
Sets the Font of Text

Parameters:
  `font` - Font

### getColor

org.eclipse.birt.report.model.api.extension.IColor getColor()
Gets the Color of Text

Returns:
  Color of Text

### setColor

void setColor(org.eclipse.birt.report.model.api.extension.IColor color)
Sets the Color of Text

Parameters:
  `color` - Color of Text